%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		font-manager
Version:	0.8.3
Release:	%mkrel 1
Summary:	A font manager for gtk desktops
Group:		Office
License:	GPLv2+
URL:		https://github.com/FontManager/font-manager
Source:		%{name}-%{version}.tar.xz
#-------------------------------------------
BuildRequires: lib64atk1.0-devel
BuildRequires: lib64cairo-devel
BuildRequires: lib64fontconfig-devel
BuildRequires: lib64freetype6-devel
BuildRequires: lib64gdk_pixbuf2.0_0-devel
BuildRequires: lib64glib2.0-devel 
BuildRequires: lib64gtk+3.0-devel 
BuildRequires: lib64json-glib-devel
BuildRequires: lib64pango1.0-devel
BuildRequires: lib64sqlite3-devel 
BuildRequires: lib64xml2-devel
BuildRequires: lib64soup-devel

Requires: webkitgtk2
Requires: vala
Requires: lib64sqlite3_0
Requires: lib64json-glib1.0_0
Requires: lib64girepository1.0_1
Requires: gobject-introspection

%description
Font Manager is intended to provide a way for average users to easily manage desktop
fonts, without having to resort to command line tools or editing configuration files
by hand. While designed primarily with the Gnome Desktop Environment in mind,
it should work well with other GTK desktop environments.

Font Manager is NOT a professional-grade font management solution.


%prep
%setup -q

%build
%meson --buildtype=release
%meson_build

%install
%meson_install

#drop devel file
rm -f %{buildroot}/%{_libdir}/font-manager/libfontmanager.so

#drop gnomeshell file
rm -f %{buildroot}/%{_datadir}/gnome-shell/search-providers/org.gnome.FontManager.SearchProvider.ini


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-Office" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%files -f %{name}.lang
%{_bindir}
%{_libexecdir}
%{_libdir}
%{_datadir}/applications
%{_datadir}/icons
%{_datadir}/metainfo
%{_datadir}/dbus-1
%{_datadir}/glib-2.0
%{_datadir}/help
%{_mandir}

%post
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%update_menus

%postun
glib-compile-schemas %{_datadir}/glib-2.0/schemas
%clean_menus

%changelog
* Tue Jan 05 2020 tex - 0.8.3-1pclos2021
- create  pkg
